> For the complete documentation index, see [llms.txt](https://docs.seda.xyz/home/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.seda.xyz/home/archvie/browse-seda-supported-feeds/premium-data-providers/blocksize.md).

# Blocksize

## Supported Asset Type

* Crypto
* Crypto Redemption Rates
* Commodities
* ETFs
* Equities&#x20;
* Forex
* Metal
* US Treasury Rates

## About Blocksize

With +5 years of experience in node operations, Blocksize is the leading oracle network data provider enabling DeFi to be bankable and accessible to all.&#x20;Our Bid/Ask and VWAP feeds are carefully engineered and backtested with outlier detection, a 24/7 monitoring systems and dedicated data support team to provide the most accurate data in real-time.

## **API Structure and Data Specification**

Blocksize supports VWAP and BIDASK endpoints.

{% embed url="<https://matrix.blocksize.capital/api-docs>" %}

### API Format

### Bidask

Endpoint (Testnet):

<https://seda-proxy.blocksize.dev/proxy/bidask/pair>

### Response Format

Data is returned as a JSON with the following structure:

**Successful response:**

```json
{
  "ticker": "ETHUSD",
  "agg_bid_price": "4362.597230371793",
  "agg_bid_size": "98.42767488000001",
  "agg_ask_price": "4364.092969924804",
  "agg_ask_size": "125.29260208",
  "agg_mid_price": "4363.345100148298",
  "ts": 1756156227634385
}
```

### VWAP

Endpoint (Testnet):

[https://seda-proxy.blocksize.dev/proxy/vwap/pair](https://seda-proxy.blocksize.dev/proxy/bidask/pair)

### Response Format

Data is returned as a JSON with the following structure:

**Successful response:**

```json
{
  "ticker": "BTCUSD",
  "price": 112269.91858575967,
  "size": 4.5646076099999995,
  "volume": 512468.12475063896,
  "ts": 1756147348689
}
```

## Proxy Implementations

### Testnet

<https://seda-proxy.blocksize.dev/>

{% embed url="<https://seda-proxy.blocksize.dev>" %}

### Mainnet

<https://seda-proxy.blocksize.capital/>

{% embed url="<https://seda-proxy.blocksize.capital>" %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.seda.xyz/home/archvie/browse-seda-supported-feeds/premium-data-providers/blocksize.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
